> For the complete documentation index, see [llms.txt](https://docs.nodefy.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nodefy.xyz/our-api-guide/defining-event-types/wallets.md).

# Wallets

Notifications on wallet addresses are `address_activity` event type. Common use cases are to provide user payment confirmations, hosted wallet updates or track other smart money wallets. &#x20;

**Event Type:** `address_activity`

To create an address activity event, send a `POST` request to the `/api/v1/nodefy/notifications/` endpoint with the following JSON payload:

#### Example Request:

```json
{
    "external_user_id": "test123",                          //optional
    "channel": "EMAIL",                                     //required
    "notification_name": "Payroll Complete",                //optional
    "template": "Your monthly payroll has been completed"   //optional 
    "delivery_location": "hr@company.xyz",                  //required
    "event_details": {
        "network": "BASE_MAINNET",                          //required 
        "event_type": "ADDRESS_ACTIVITY",                   //required
        "addresses": ["0x60e4d8...a7c6"],                   //required
}
```

#### Required `address_activity` parameter:

* **`addresses`:** An array of wallet address(s) to track. This address(s) should be a high-level identifier for the events you're interested in listening for.&#x20;

#### Wallet Filters

You can easily layer more nuanced filters like `to_address`, `from_address`, `token_type` and more using our filter system. See [Using Filters ](/our-api-guide/using-filters.md)section for more details. &#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nodefy.xyz/our-api-guide/defining-event-types/wallets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
